Loading...
Searching...
No Matches
byte_order.h File Reference
Module io
`#include <boost/predef/other/endian.h>`
`#include <cstddef>`
`#include <utility>`

Go to the source code of this file.

## Detailed Description

defines byte shift operations and endianness.

Author
  Ares Lagae as part of libply, Nizar Sallem

Definition in file byte_order.h.

## Namespaces

namespace | pcl
namespace | pcl::io
namespace | pcl::io::ply

## Enumerations

enum | pcl::io::ply::byte_order { pcl::io::ply::little_endian_byte_order , pcl::io::ply::big_endian_byte_order , pcl::io::ply::network_byte_order = big_endian_byte_order }

## Functions

template<std::size_t N>
void | pcl::io::ply::swap_byte_order (char *bytes)
template<>
void | pcl::io::ply::swap_byte_order< 1 > (char *)
template<>
void | pcl::io::ply::swap_byte_order< 2 > (char *bytes)
template<>
void | pcl::io::ply::swap_byte_order< 4 > (char *bytes)
template<>
void | pcl::io::ply::swap_byte_order< 8 > (char *bytes)
template<typename T>
void | pcl::io::ply::swap_byte_order (T &value)